..
  autogenerated from source/_templates/autosummary/dataset_class.rst

{{ name | underline }}

.. autoclass:: {{ fullname }}

{%- if "get_metadata" in methods %}
  {%- set meth=["__getitem__", "get_metadata"] %}
{%- else %}
  {%- set meth=["__getitem__"] %}
{%- endif %}

{%- if name == "CMUDict" %}
  {%- set properties=["symbols"] %}
{%- elif name == "TEDLIUM" %}
  {%- set properties=["phoneme_dict"] %}
{%- else %}
  {%- set properties=[] %}
{%- endif %}

{%- if properties %}

Properties
==========

{% for item in properties %}

{{item | underline("-") }}

.. container:: py attribute

   .. autoproperty:: {{[fullname, item] | join('.')}}

{%- endfor %}

{%- endif %}

{%- if properties %}

Methods
=======

{%- endif %}

{% for item in meth %}

{{item | underline("-") }}

.. container:: py attribute

   .. automethod:: {{[fullname, item] | join('.')}}

{%- endfor %}
